/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import { aws_iam as iam, aws_lambda as lambda } from 'aws-cdk-lib';
import { Construct } from 'constructs';
/**
 * Properties for creating a CreateModelInvocationJobFunction
 */
export interface CreateModelInvocationJobFunctionProps {
    /**
     * IAM Policy used for Bedrock batch processing
     */
    readonly bedrockBatchPolicy: iam.IManagedPolicy;
}
/**
 * Lambda function that creates Bedrock model invocation jobs for a Step Functions wait for callback task
 */
export declare class CreateModelInvocationJobFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props: CreateModelInvocationJobFunctionProps);
}
